.TH XTOOLWAIT 1 "12 October 95"
.SH NAME
xtoolwait \- start X client and wait for it to map a window
.SH SYNOPSIS
\fBxtoolwait\fP [ -display \fIdisplay-name\fP ] [ -timeout \fInseconds\fP ]
[ -help ] \fIcommand\fP
.SH DESCRIPTION
\fBXtoolwait\fP notably decreases the startup time of an X session by reducing
the load on the X server and the OS.
\fBXtoolwait\fP starts the X client \fIcommand\fP in the background. It then
waits until a window is mapped on the root window and exits.
\fBXtoolwait\fP also exits if a time-out occurs (by default after
15 seconds), or if \fIcommand\fP exits.
.SH OPTIONS
.TP
\fB-display \fIdisplay-name\fR
Monitor the X display \fIdisplay-name\fR for window mapping events.
If this option is not used, the X display defaults to the value of
the \fBDISPLAY\fP environment variable.
See also section \fBNOTES\fP below.
.TP
\fB-timeout \fInseconds\fR
Use a time-out period of \fInseconds\fP seconds. If this option is not
used, the time-out period defaults to 15 seconds.
.TP
\fB-help\fP
Print out the `Usage:' command syntax summary.
.SH "EXIT STATUS"
\fBXtoolwait\fP returns 0 if it detected the mapping of a window on the root
window, and 1 otherwise. The one exception to this rule is when \fIcommand\fP
exits normally before mapping a window, in which case its return value is
returned.
.SH ENVIRONMENT
.TP
\fBDISPLAY\fP
The default display name to monitor
.SH "SEE ALSO"
xtoolplaces(1)
.SH NOTES
\fBXtoolwait\fP does not propagate the \fB-display\fP option to \fIcommand\fP.
If you use this option, you should feed it both to \fBXtoolwait\fP and to
\fIcommand\fP. This is intentional, so don't report this as a bug.
.SH AUTHOR
\fBXtoolwait\fP was written by Richard Huveneers <richard@hekkihek.hacom.nl>.
Check out http://www.hacom.nl/~richard for more information about the author.
.SH COPYRIGHT
Copyright (C) 1995  Richard Huveneers <richard@hekkihek.hacom.nl>.
\fBXtoolwait\fP is released under the GNU General Public License.
The full copyright notice is stated at the start of the source code.
.SH BUGS
\fBXtoolwait\fP does not check if the window was mapped by \fIcommand\fP and
will thus exit too soon when another X client maps a window on the root
window before \fIcommand\fP does.
This situation does not arise as long as all X clients are started by
\fBXtoolwait\fP during the X session startup.
